Bug 1210243 - text should have a comment for get_if_text()
Summary: text should have a comment for get_if_text()
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot-plugins
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach 🙈
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-09 09:24 UTC by Akira TAGOH
Modified: 2017-09-15 09:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-15 09:44:45 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2015-04-09 09:24:17 UTC
Description of problem:
Text without the proper comment confuses translators. they don't know how it looks like on apps. the translations aren't appropriate to see with "If ".
Or simply stop prepending "If " to the text of get_if_text().  that would be much better and no confusion.

Version-Release number of selected component (if applicable):
setroubleshoot-plugins-3.0.61

Comment 1 Petr Lautrbach 🙈 2016-04-04 19:38:12 UTC
I'm going to fix this in the next release. Sorry for the big delay.

Comment 2 Petr Lautrbach 🙈 2016-05-06 10:49:15 UTC
I've got fixes for this problem in my github repo - https://github.com/bachradsusi/setroubleshoot/commit/e76b5e23d02b6fdda17992b48d503da7ca856dac https://github.com/bachradsusi/setroubleshoot/commit/1f16d59111a00a9d6876b838e260c0aa19b57c91

Since it breaks translations of almost all plugins, it needs to be translated in zanata first and then pulled to Fedora. I'm changing the release to Fedora 24 however it'll be pushed to Rawhide first and when the translation is complete, it can be pushed to f24, f23.

See https://bugzilla.redhat.com/show_bug.cgi?id=1322734

Comment 3 Fedora End Of Life 2017-07-25 18:53:12 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 11:56:39 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Petr Lautrbach 🙈 2017-08-22 06:52:12 UTC
The change from https://bugzilla.redhat.com/show_bug.cgi?id=1210243#c2 is applied in updatream master branch now [1] and translation source files were updated in zanata master branch [2]

[1] https://pagure.io/setroubleshoot/c/98c2ad7c16be9b79f880964b3ccfbfbc5bb4ed58?branch=master

[2] https://fedora.zanata.org/project/view/setroubleshoot?dswid=4690

Comment 6 Petr Lautrbach 🙈 2017-09-15 09:44:45 UTC
https://koji.fedoraproject.org/koji/buildinfo?buildID=970961


Note You need to log in before you can comment on or make changes to this bug.